﻿using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace AutoServiceVika.Pages
{
    /// <summary>
    /// Логика взаимодействия для LoginPage.xaml
    /// </summary>
    public partial class LoginPage : Page
    {
        public LoginPage()
        {
            InitializeComponent();
        }

        private void Login_Click(object sender, RoutedEventArgs e)
        {
            var currentUser = App.context.Users.FirstOrDefault(p => p.Login == tbLogin.Text && p.Pass == tbPass.Text);
            if (currentUser != null)
            {
                App.CurrentUser = currentUser;
                App.MainFrame.Navigate(new ServicePage());
            }
            else
            {
                MessageBox.Show("Пользователь с такими данными не найден", "Ошибка", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }
    }
}
